scala.concurrent

# DelayedLazyVal

#### class DelayedLazyVal[T] extends AnyRef

A `DelayedLazyVal` is a wrapper for lengthy computations which have a valid partially computed result.

The first argument is a function for obtaining the result at any given point in time, and the second is the lengthy computation. Once the computation is complete, the `apply` method will stop recalculating it and return a fixed value from that point forward.

Source
  DelayedLazyVal.scala
Version

  2.8

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DelayedLazyVal
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DelayedLazyVal(f: () ⇒ T, body: ⇒ Unit)(implicit exec: ExecutionContext)

   f

     the function to obtain the current value at any point in time

   body

     the computation to run to completion in another thread

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DelayedLazyVal[T] to any2stringadd[DelayedLazyVal[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DelayedLazyVal[T], B)

   Implicit information
     This member is added by an implicit conversion from DelayedLazyVal[T] to ArrowAssoc[DelayedLazyVal[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(): T

   The current result of f(), or the final result if complete.

   The current result of f(), or the final result if complete.

   returns

     the current value

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (DelayedLazyVal[T]) ⇒ Boolean, msg: ⇒ Any): DelayedLazyVal[T]

   Implicit information
     This member is added by an implicit conversion from DelayedLazyVal[T] to Ensuring[DelayedLazyVal[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (DelayedLazyVal[T]) ⇒ Boolean): DelayedLazyVal[T]

    Implicit information
      This member is added by an implicit conversion from DelayedLazyVal[T] to Ensuring[DelayedLazyVal[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): DelayedLazyVal[T]

    Implicit information
      This member is added by an implicit conversion from DelayedLazyVal[T] to Ensuring[DelayedLazyVal[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): DelayedLazyVal[T]

    Implicit information
      This member is added by an implicit conversion from DelayedLazyVal[T] to Ensuring[DelayedLazyVal[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DelayedLazyVal[T] to StringFormat[DelayedLazyVal[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def isDone: Boolean

    Whether the computation is complete.

    Whether the computation is complete.

    returns

      true if the computation is complete.

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (DelayedLazyVal[T], B)

    Implicit information
      This member is added by an implicit conversion from DelayedLazyVal[T] to ArrowAssoc[DelayedLazyVal[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DelayedLazyVal[T] to any2stringadd[DelayedLazyVal[T]]

### Inherited by implicit conversion StringFormat from DelayedLazyVal[T] to StringFormat[DelayedLazyVal[T]]

### Inherited by implicit conversion Ensuring from DelayedLazyVal[T] to Ensuring[DelayedLazyVal[T]]

### Inherited by implicit conversion ArrowAssoc from DelayedLazyVal[T] to ArrowAssoc[DelayedLazyVal[T]]

### Ungrouped